//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Load dts shapes and merge animations


datablock TSShapeConstructor(BunnyDts)
{
	baseShape  = "./bunnyPlayer.dts";
	sequence0 = "./bunnyPlayer.dsq";
};    


datablock PlayerData(BunnyArmor : PlayerStandardArmor)
{
   renderFirstPerson = false;
   emap = false;
   
   className = Armor;
   shapeFile = "./bunnyPlayer.dts";
   cameraMaxDist = 6;
   cameraTilt = 0.261;
   cameraVerticalOffset = 1.5;
     
   cameraDefaultFov = 90.0;
   cameraMinFov = 5.0;
   cameraMaxFov = 120.0;
   

   aiAvoidThis = false;

   mass = 90;
   drag = 0.1;
   density = 0.7;
   maxDamage = 250;
   maxEnergy =  10;
   repairRate = 0.33;

   rechargeRate = 0.4;

   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxSideSpeed = 4;

   maxSideCrouchSpeed = 0;
	
	maxForwardCrouchSpeed = 7;
	maxBackwardCrouchSpeed = 4;
	
   maxForwardProneSpeed = 0;
   maxBackwardProneSpeed = 0;
   maxSideProneSpeed = 0;

   maxForwardWalkSpeed = 0;
   maxBackwardWalkSpeed = 0;
   maxSideWalkSpeed = 0;

   maxUnderwaterForwardSpeed = 8.4;
   maxUnderwaterBackwardSpeed = 7.8;
   maxUnderwaterSideSpeed = 7.8;

   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;

   minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   boundingBox			= vectorScale("1 1 1.4", 4);
   crouchBoundingBox	= vectorScale("1 1 1.4", 4);
   
   pickupRadius = 0.75;
   
   // Foot Prints
   //decalOffset = 0.25;
	
   jetEmitter = "";
   jetGroundEmitter = "";
   jetGroundDistance = 4;
  
   //footPuffEmitter = LightPuffEmitter;
   footPuffNumParts = 10;
   footPuffRadius = 0.25;

   //dustEmitter = LiftoffDustEmitter;

   splash = PlayerSplash;
   splashVelocity = 4.0;
   splashAngle = 67.0;
   splashFreqMod = 300.0;
   splashVelEpsilon = 0.60;
   bubbleEmitTime = 0.1;
   splashEmitter[0] = PlayerFoamDropletsEmitter;
   splashEmitter[1] = PlayerFoamEmitter;
   splashEmitter[2] = PlayerBubbleEmitter;
   mediumSplashSoundVelocity = 10.0;   
   hardSplashSoundVelocity = 20.0;   
   exitSplashSoundVelocity = 5.0;

   // Controls over slope of runnable/jumpable surfaces
   runSurfaceAngle  = 85;
   jumpSurfaceAngle = 86;

   minJumpSpeed = 20;
   maxJumpSpeed = 30;

   horizMaxSpeed = 68;
   horizResistSpeed = 33;
   horizResistFactor = 0.35;

   upMaxSpeed = 80;
   upResistSpeed = 25;
   upResistFactor = 0.3;
   
   footstepSplashHeight = 0.35;

   //NOTE:  some sounds commented out until wav's are available

   JumpSound			= HorseJumpSound;
   
   impactWaterEasy      = Splash1Sound;
   impactWaterMedium    = Splash1Sound;
   impactWaterHard      = Splash1Sound;
   
   groundImpactMinSpeed    = 10.0;
   groundImpactShakeFreq   = "4.0 4.0 4.0";
   groundImpactShakeAmp    = "1.0 1.0 1.0";
   groundImpactShakeDuration = 0.8;
   groundImpactShakeFalloff = 10.0;
   
   //exitingWater         = ExitingWaterLightSound;

   // Inventory Items
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	
	uiName = "Bunny";
	rideable = false;
	lookUpLimit = 0.5;
	lookDownLimit = 1;

	canRide = true;
	showEnergyBar = false;
	paintable = true;
};

package BunnyColor
{
	function GameConnection::applyBodyColors(%client)
	{
		Parent::applyBodyColors(%client);
		if(%client.player.dataBlock $= "BunnyArmor")
		{
			
			%color1 = "0.45 0.45 0.45 1";
			%color2 = "0.21 0.21 0.21 1";
			%color3 = "0.30 0.30 0.30 1";
			%client.player.setNodeColor("Head",%client.headColor);
			%client.player.setNodeColor("LLeg",%client.lLegColor);
			%client.player.setNodeColor("RLeg",%client.rLegColor);
			%client.player.setNodeColor("Torso",%client.chestColor);
			%obj = %client.player;
		}
	}
	
};
activatePackage(BunnyColor);
